OGRE: Ogre::D3D9HardwarePixelBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9HardwarePixelBuffer Class Reference

`#include <OgreD3D9HardwarePixelBuffer.h>`

Inheritance diagram for Ogre::D3D9HardwarePixelBuffer:
[legend]

## Public Member Functions
| D3D9HardwarePixelBuffer (HardwareBuffer::Usage usage, D3D9Texture *ownerTexture)
| ~D3D9HardwarePixelBuffer ()
virtual void | _clearSliceRTT (size_t zoffset)
| Notify TextureBuffer of destruction of render target. More...
void | _genMipmaps (IDirect3DBaseTexture9 *mipTex)
| Internal function to update mipmaps on update of level 0. More...
void | _setMipmapping (bool doMipmapGen, bool HWMipmaps)
| Function to set mipmap generation. More...
void | bind (IDirect3DDevice9 *dev, IDirect3DSurface9 *mSurface, IDirect3DSurface9 *fsaaSurface, bool writeGamma, uint fsaa, const String &srcName, IDirect3DBaseTexture9 *mipTex)
| Call this to associate a D3D surface or volume with this pixel buffer. More...
void | bind (IDirect3DDevice9 *dev, IDirect3DVolume9 *mVolume, IDirect3DBaseTexture9 *mipTex)
void | blit (const HardwarePixelBufferSharedPtr &src, const Box &srcBox, const Box &dstBox)
void | blitFromMemory (const PixelBox &src, const Box &dstBox)
void | blitToMemory (const Box &srcBox, const PixelBox &dst)
void | destroyBufferResources (IDirect3DDevice9 *d3d9Device)
| Destroy resources associated with the given device. More...
IDirect3DSurface9 * | getFSAASurface (IDirect3DDevice9 *d3d9Device)
| Accessor for AA surface. More...
RenderTexture * | getRenderTarget (size_t zoffset)
| Get rendertarget for z slice. More...
IDirect3DSurface9 * | getSurface (IDirect3DDevice9 *d3d9Device)
| Accessor for surface. More...
void | releaseSurfaces (IDirect3DDevice9 *d3d9Device)
| Release surfaces held by this pixel buffer. More...

## Static Public Member Functions
static void | lockDeviceAccess ()
static void | unlockDeviceAccess ()

## Constructor & Destructor Documentation

## ◆ D3D9HardwarePixelBuffer()

Ogre::D3D9HardwarePixelBuffer::D3D9HardwarePixelBuffer | ( | HardwareBuffer::Usage | usage,
|  | D3D9Texture * | ownerTexture
| ) |  |

## ◆ ~D3D9HardwarePixelBuffer()

Ogre::D3D9HardwarePixelBuffer::~D3D9HardwarePixelBuffer | ( |  | ) |

## Member Function Documentation

## ◆ _clearSliceRTT()

virtual void Ogre::D3D9HardwarePixelBuffer::_clearSliceRTT | ( | size_t | zoffset | ) |
| virtual

Notify TextureBuffer of destruction of render target.

## ◆ _genMipmaps()

void Ogre::D3D9HardwarePixelBuffer::_genMipmaps | ( | IDirect3DBaseTexture9 * | mipTex | ) |

Internal function to update mipmaps on update of level 0.

## ◆ _setMipmapping()

void Ogre::D3D9HardwarePixelBuffer::_setMipmapping | ( | bool | doMipmapGen,
|  | bool | HWMipmaps
| ) |  |

Function to set mipmap generation.

## ◆ bind() [1/2]

void Ogre::D3D9HardwarePixelBuffer::bind | ( | IDirect3DDevice9 * | dev,
|  | IDirect3DSurface9 * | mSurface,
|  | IDirect3DSurface9 * | fsaaSurface,
|  | bool | writeGamma,
|  | uint | fsaa,
|  | const String & | srcName,
|  | IDirect3DBaseTexture9 * | mipTex
| ) |  |

Call this to associate a D3D surface or volume with this pixel buffer.

## ◆ bind() [2/2]

void Ogre::D3D9HardwarePixelBuffer::bind | ( | IDirect3DDevice9 * | dev,
|  | IDirect3DVolume9 * | mVolume,
|  | IDirect3DBaseTexture9 * | mipTex
| ) |  |

## ◆ blit()

void Ogre::D3D9HardwarePixelBuffer::blit | ( | const HardwarePixelBufferSharedPtr & | src,
|  | const Box & | srcBox,
|  | const Box & | dstBox
| ) |  |

## ◆ blitFromMemory()

void Ogre::D3D9HardwarePixelBuffer::blitFromMemory | ( | const PixelBox & | src,
|  | const Box & | dstBox
| ) |  |

## ◆ blitToMemory()

void Ogre::D3D9HardwarePixelBuffer::blitToMemory | ( | const Box & | srcBox,
|  | const PixelBox & | dst
| ) |  |

## ◆ destroyBufferResources()

void Ogre::D3D9HardwarePixelBuffer::destroyBufferResources | ( | IDirect3DDevice9 * | d3d9Device | ) |

Destroy resources associated with the given device.

## ◆ getFSAASurface()

IDirect3DSurface9* Ogre::D3D9HardwarePixelBuffer::getFSAASurface | ( | IDirect3DDevice9 * | d3d9Device | ) |

Accessor for AA surface.

## ◆ getRenderTarget()

RenderTexture* Ogre::D3D9HardwarePixelBuffer::getRenderTarget | ( | size_t | zoffset | ) |

Get rendertarget for z slice.

## ◆ getSurface()

IDirect3DSurface9* Ogre::D3D9HardwarePixelBuffer::getSurface | ( | IDirect3DDevice9 * | d3d9Device | ) |

Accessor for surface.

## ◆ lockDeviceAccess()

static void Ogre::D3D9HardwarePixelBuffer::lockDeviceAccess | ( |  | ) |
| static

## ◆ releaseSurfaces()

void Ogre::D3D9HardwarePixelBuffer::releaseSurfaces | ( | IDirect3DDevice9 * | d3d9Device | ) |

Release surfaces held by this pixel buffer.

## ◆ unlockDeviceAccess()

static void Ogre::D3D9HardwarePixelBuffer::unlockDeviceAccess | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D9HardwarePixelBuffer.h